#ifndef CANBERRA_INC
#define CANBERRA_INC

#include "Metric.h"

namespace Torch {

/** This class is designed to compute the Canberra distance

    @author Sebastien Marcel (marcel@idiap.ch)
    \Date
    @version 2.0
    @since 2.0
*/
class mCanberra : public Metric
{
public:
	//-----
	
	///
	mCanberra(int n_inputs_);

	///
	virtual real measure(real *sample_, real *template_ = NULL);

	///
	virtual ~mCanberra() {};
};

}

#endif

