#ifndef NORMALIZE_CORRELATION_INC
#define NORMALIZE_CORRELATION_INC

#include "Metric.h"

namespace Torch {

/** This class is designed to compute the Normalize Correlation distance

    @author Sebastien Marcel (marcel@idiap.ch)
    \Date
    @version 2.0
    @since 2.0
*/
class mNC : public Metric
{
public:
	//-----
	
	///
	mNC(int n_inputs_);

	///
	virtual real measure(real *sample_, real *template_ = NULL);

	///
	virtual ~mNC() {};
};

}

#endif

