#include "TimeCode.h"

namespace Torch {

TimeCode::TimeCode()
{
	timecode[0] = timecode[1] = timecode[2] = timecode[3] = 0;
}

TimeCode::TimeCode(int h_, int m_, int s_, int f_)
{
	timecode[0] = h_;
	timecode[1] = m_;
	timecode[2] = s_;
	timecode[3] = f_;
}

void TimeCode::reset(int h_, int m_, int s_, int f_)
{
	timecode[0] = h_;
	timecode[1] = m_;
	timecode[2] = s_;
	timecode[3] = f_;
}

TimeCode::~TimeCode()
{
}

}
